<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'DibFutureOfGitLab',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <SlpTypography variant="heading1-bold" tag="h2" class="slp-mb-16">
      {{ data.header }}
    </SlpTypography>
    <SlpTypography variant="heading5" tag="div" class="slp-mb-64">
      <div v-html="$md.render(data.text)" />
    </SlpTypography>
    <SlpRow class="cards-wrapper">
      <SlpColumn
        v-for="card in data.cards"
        :key="card.title"
        :cols="6"
        class="card-container"
      >
        <div class="card">
          <SlpIcon
            v-if="card.icon_name"
            :name="card.icon_name"
            size="md"
            slp-color="surface-400"
            variant="marketing"
            class="slp-mb-16"
          />
          <SlpTypography variant="heading4-bold" tag="h3" class="slp-mb-16">
            {{ card.title }}
          </SlpTypography>
          <SlpTypography variant="body1" tag="div" class="slp-mb-16">
            <div v-html="$md.render(card.text)" />
          </SlpTypography>
          <div v-if="card.cta">
            <SlpButton
              variant="tertiary"
              :href="card.cta.href"
              :data-ga-name="card.cta.data_ga_name"
              :data-ga-location="card.cta.data_ga_location"
            >
              {{ card.cta.text }}
              <SlpIcon
                class="learn-more-icon"
                name="chevron-lg-right"
                variant="product"
              />
            </SlpButton>
          </div>
          <div v-else-if="card.logos" class="logos">
            <img v-for="logo in card.logos" :key="logo" :src="logo" alt="" />
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.cards-wrapper {
  justify-content: space-between;
  align-items: stretch;

  .card-container {
    flex: 1 1 100%;
    margin-bottom: 24px;

    &:nth-of-type(1n) {
      padding-right: 24px;
      padding-bottom: 48px;
    }
    &:nth-of-type(2n) {
      padding-left: 24px;
      padding-bottom: 48px;
    }

    @media (max-width: $breakpoint-md) {
      flex: 1 1 100%;
      margin-bottom: 24px;

      &:nth-of-type(1n),
      &:nth-of-type(2n) {
        padding: 0;
      }
    }
  }
  .card {
    background: linear-gradient(
      90.05deg,
      rgba(238, 231, 253, 0.5) 2.53%,
      rgba(246, 243, 254, 0.415) 50.98%,
      rgba(255, 212, 216, 0.225) 100%
    );
    height: 100%;
    padding: 32px;
    border-radius: 8px;
  }

  .logos {
    margin-top: 48px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 36px;

    img {
      max-width: 180px;
      max-height: 55px;
      height: auto;
    }

    @media (max-width: $breakpoint-md) {
      margin-top: 16px;
      gap: 16px;
    }
  }
}
</style>
